Your submission was sent successfully! Close

CVE-2019-11719

Published: 11 July 2019

When importing a curve25519 private key in PKCS#8format with leading 0x00 bytes, it is possible to trigger an out-of-bounds read in the Network Security Services (NSS) library. This could lead to information disclosure. This vulnerability affects Firefox ESR < 60.8, Firefox < 68, and Thunderbird < 60.8.

Priority

Medium

CVSS 3 base score: 7.5

Status

Package Release Status
firefox
Launchpad, Ubuntu, Debian
bionic
Released (68.0+build3-0ubuntu0.18.04.1)
cosmic
Released (68.0+build3-0ubuntu0.18.10.1)
disco
Released (68.0+build3-0ubuntu0.19.04.1)
eoan
Released (68.0+build3-0ubuntu1)
focal
Released (68.0+build3-0ubuntu1)
groovy
Released (68.0+build3-0ubuntu1)
hirsute
Released (68.0+build3-0ubuntu1)
impish
Released (68.0+build3-0ubuntu1)
jammy
Released (68.0+build3-0ubuntu1)
precise Does not exist

trusty Does not exist

upstream
Released (68)
xenial
Released (68.0+build3-0ubuntu0.16.04.1)
mozjs38
Launchpad, Ubuntu, Debian
bionic Needs triage

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

precise Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mozjs52
Launchpad, Ubuntu, Debian
bionic Needs triage

cosmic Ignored
(reached end-of-life)
disco Ignored
(reached end-of-life)
eoan Ignored
(reached end-of-life)
focal Needs triage

groovy Ignored
(reached end-of-life)
hirsute Does not exist

impish Does not exist

jammy Does not exist

precise Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mozjs60
Launchpad, Ubuntu, Debian
bionic Does not exist

cosmic Ignored
(reached end-of-life)
disco Ignored
(reached end-of-life)
eoan Ignored
(reached end-of-life)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

precise Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

nss
Launchpad, Ubuntu, Debian
bionic
Released (2:3.35-2ubuntu2.3)
cosmic Ignored
(reached end-of-life)
disco
Released (2:3.42-1ubuntu2.1)
eoan
Released (2:3.45-1ubuntu1)
focal
Released (2:3.45-1ubuntu1)
groovy
Released (2:3.45-1ubuntu1)
hirsute
Released (2:3.45-1ubuntu1)
impish
Released (2:3.45-1ubuntu1)
jammy
Released (2:3.45-1ubuntu1)
precise
Released (2:3.28.4-0ubuntu0.12.04.4)
trusty
Released (2:3.28.4-0ubuntu0.14.04.5+esm1)
upstream
Released (2:3.45-1)
xenial
Released (2:3.28.4-0ubuntu0.16.04.6)
thunderbird
Launchpad, Ubuntu, Debian
bionic
Released (1:60.8.0+build1-0ubuntu0.18.04.1)
cosmic
Released (1:60.8.0+build1-0ubuntu0.18.10.1)
disco
Released (1:60.8.0+build1-0ubuntu0.19.04.1)
eoan
Released (60.8.0+build1-0ubuntu1)
focal
Released (60.8.0+build1-0ubuntu1)
groovy
Released (60.8.0+build1-0ubuntu1)
hirsute
Released (60.8.0+build1-0ubuntu1)
impish
Released (60.8.0+build1-0ubuntu1)
jammy
Released (60.8.0+build1-0ubuntu1)
precise Does not exist

trusty Does not exist

upstream
Released (60.8)
xenial
Released (1:60.8.0+build1-0ubuntu0.16.04.2)